#!/bin/bash
cd $(dirname $0)
export FABRIC_CA_HOME=../../fabric-ca-client
set -x
fabric-ca-client register --id.name orderer --id.secret ordererpw --id.type orderer
set +x

set -x
fabric-ca-client enroll -u https://orderer:ordererpw@localhost:9054 --csr.hosts orderer.ordererOrg.example.com --csr.hosts localhost -M ../entities/orderer/msp
set +x

set -x
fabric-ca-client enroll -u https://orderer:ordererpw@localhost:9054 --csr.hosts orderer.ordererOrg.example.com --csr.hosts localhost -M ../entities/orderer/tls --enrollment.profile tls
set +x

cp ./tls/tlscacerts/*  ./tls/ca.crt
cp ./tls/signcerts/* ./tls/server.crt
cp ./tls/keystore/* ./tls/server.key
mkdir $FABRIC_CA_HOME/msp/tlscacerts
cp ./tls/tlscacerts/* $FABRIC_CA_HOME/msp/tlscacerts/ca.crt
mkdir $FABRIC_CA_HOME/tlsca
cp ./tls/tlscacerts/* $FABRIC_CA_HOME/tlsca/tlsca.ordererOrg.example.com-cert.pem
mkdir $FABRIC_CA_HOME/ca
cp ./msp/cacerts/* $FABRIC_CA_HOME/ca/ca.ordererOrg.example.com-cert.pem

