#!/bin/bash
cd $(dirname $0)
export FABRIC_CA_HOME=../../fabric-ca-client
set -x
fabric-ca-client register --id.name peer0 --id.secret peer0pw --id.type peer
set +x

set -x
fabric-ca-client enroll -u https://peer0:peer0pw@localhost:7054 --csr.hosts peer0.org1.example.com --csr.hosts localhost -M ../entities/peer0/msp
set +x

set -x
fabric-ca-client enroll -u https://peer0:peer0pw@localhost:7054 --csr.hosts peer0.org1.example.com --csr.hosts localhost -M ../entities/peer0/tls --enrollment.profile tls
set +x

cp ./tls/tlscacerts/*  ./tls/ca.crt
cp ./tls/signcerts/* ./tls/server.crt
cp ./tls/keystore/* ./tls/server.key
mkdir $FABRIC_CA_HOME/msp/tlscacerts
cp ./tls/tlscacerts/* $FABRIC_CA_HOME/msp/tlscacerts/ca.crt
mkdir $FABRIC_CA_HOME/tlsca
cp ./tls/tlscacerts/* $FABRIC_CA_HOME/tlsca/tlsca.org1.example.com-cert.pem
mkdir $FABRIC_CA_HOME/ca
cp ./msp/cacerts/* $FABRIC_CA_HOME/ca/ca.org1.example.com-cert.pem

